import BaseSection from '../../sections/BaseSection';
import { PricingSectionContentModal, PricingSectionModal, PricingSectionStylesModel } from '../../sections/pricing-section/pricing-section.modal';
import { ButtonModel } from '../../styles/style.model';
import { EventsService } from '../../services/events.service';
import * as i0 from "@angular/core";
export declare class PricingS1Component extends BaseSection {
    private _eventService;
    data?: PricingSectionModal;
    edit?: boolean;
    content?: PricingSectionContentModal;
    style?: PricingSectionStylesModel;
    button?: ButtonModel;
    constructor(_eventService: EventsService);
    ngOnInit(): void;
    editSection(): void;
    getButtonId(): string;
    redirectTo(data: any): void;
    getClass(): "col-4" | "col-12" | "col-5";
    static ɵfac: i0.ɵɵFactoryDeclaration<PricingS1Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PricingS1Component, "simpo-pricing-s1", never, { "data": { "alias": "data"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; }, {}, never, never, true, never>;
}
